---
title: String.prototype.toLocaleLowerCase()
slug: Web/JavaScript/Reference/Global_Objects/String/toLocaleLowerCase
tags:
  - Internationalization
  - JavaScript
  - Method
  - Prototype
  - Reference
  - String
---
<div>{{JSRef}}</div>

<p>The <strong><code>toLocaleLowerCase()</code></strong> method returns the calling string value converted to lower case, according to any locale-specific case mappings.</p>

<div>{{EmbedInteractiveExample("pages/js/string-tolocalelowercase.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>str</var>.toLocaleLowerCase()
<var>str</var>.toLocaleLowerCase(locale)
<var>str</var>.toLocaleLowerCase([locale, locale, ...])
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>locale</code> {{optional_inline}}</dt>
 <dd>The <code>locale</code> parameter indicates the locale to be used to convert to lower case according to any locale-specific case mappings. If multiple locales are given in an {{jsxref("Array")}}, the <a href="https://tc39.github.io/ecma402/#sec-bestavailablelocale">best available locale</a> is used. The default locale is the host environment’s current locale.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new string representing the calling string converted to lower case, according to any locale-specific case mappings.</p>

<h3 id="Exceptions">Exceptions</h3>

<ul>
 <li>A {{jsxref("RangeError")}} ("invalid language tag: xx_yy") is thrown if a <code>locale</code> argument isn't a valid language tag.</li>
 <li>A {{jsxref("TypeError")}} ("invalid element in locales argument") is thrown if an array element isn't of type string.</li>
</ul>

<h2 id="Description">Description</h2>

<p>The <code>toLocaleLowerCase()</code> method returns the value of the string converted to lower case according to any locale-specific case mappings. <code>toLocaleLowerCase()</code> does not affect the value of the string itself. In most cases, this will produce the same result as {{jsxref("String.prototype.toLowerCase()", "toLowerCase()")}}, but for some locales, such as Turkish, whose case mappings do not follow the default case mappings in Unicode, there may be a different result.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_toLocaleLowerCase">Using toLocaleLowerCase()</h3>

<pre class="brush: js notranslate">'ALPHABET'.toLocaleLowerCase(); // 'alphabet'

'\u0130'.toLocaleLowerCase('tr') === 'i';    // true
'\u0130'.toLocaleLowerCase('en-US') === 'i'; // false

let locales = ['tr', 'TR', 'tr-TR', 'tr-u-co-search', 'tr-x-turkish'];
'\u0130'.toLocaleLowerCase(locales) === 'i'; // true</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.tolocalelowercase', 'String.prototype.toLocaleLowerCase')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('ES Int Draft', '#sup-string.prototype.tolocalelowercase', 'String.prototype.toLocaleLowerCase')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.String.toLocaleLowerCase")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("String.prototype.toLocaleUpperCase()")}}</li>
 <li>{{jsxref("String.prototype.toLowerCase()")}}</li>
 <li>{{jsxref("String.prototype.toUpperCase()")}}</li>
</ul>
